%{?nodejs_find_provides_and_requires}

%global packagename minimist-options

# Tests disabled due to missing npm(ava) test suite
%global enable_tests 0

Name:		nodejs-minimist-options
Version:	3.0.2
Release:	1%{?dist}
Summary:	Pretty options for minimist

License:	MIT
URL:		https://github.com/vadimdemedes/minimist-options.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# Tests not contained in NPM tarball
Source1:	https://raw.githubusercontent.com/vadimdemedes/%{packagename}/v%{version}/test.js


BuildArch:	noarch
ExclusiveArch: %{nodejs_arches} noarch

BuildRequires:	nodejs-packaging

BuildRequires:	npm(arrify)
BuildRequires:	npm(is-plain-obj)
%if 0%{?enable_tests}
BuildRequires:	npm(ava)
%endif

%description
Pretty options for minimist


%prep
%autosetup -n package
cp -p %{SOURCE1} .

%nodejs_fixdep is-plain-obj ~1.0.0


%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/ava
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md
%license license
%{nodejs_sitelib}/%{packagename}

%changelog
* Tue Mar 27 2018 jsmith <jsmith.fedora@gmail.com> - 3.0.2-1
- Initial packaging
